Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet
Class XDocletException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              xdoclet.template.TemplateException
                  xdoclet.XDocletException

All Implemented Interfaces:
  java.io.Serializable

public class XDocletException
extends TemplateException

Version:
  $Revision: 1.7 $
Author:
  Ara Abrahamian (ara_e@email.com)
See Also:
  Serialized Form
created
  Oct 14, 2001

Constructor Summary
`XDocletException(java.lang.Exception nestedException, java.lang.String msg)` Describe what the XDocletException constructor does
`XDocletException(java.lang.String msg)` Describe what the XDocletException constructor does

Method Summary
`java.lang.String` | `getPrintStackTrace()` Gets the PrintStackTrace attribute of the XDocletException object

Methods inherited from class xdoclet.template.TemplateException
`getNestedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XDocletException

    public XDocletException(java.lang.String msg)

  Describe what the XDocletException constructor does

Parameters:
  `msg` - Describe what the parameter does

### XDocletException

    public XDocletException(java.lang.Exception nestedException,
                            java.lang.String msg)

  Describe what the XDocletException constructor does

Parameters:
  `nestedException` - Describe what the parameter does
  `msg` - Describe what the parameter does

Method Detail

### getPrintStackTrace

    public java.lang.String getPrintStackTrace()

  Gets the PrintStackTrace attribute of the XDocletException object

  Returns:
    The PrintStackTrace value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD